View Issue Details

IDProjectCategoryView StatusLast Update
0034112FPCPackagespublic2018-10-30 08:31
ReporterPetr-KAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.1.1Product BuildRevision: 36503 
Target Version3.2.0Fixed in Version3.1.1 
Summary0034112: zstream - multiple calls of TCompressionStream.Flush writes to dest stream
DescriptionI do not hawe enough courage to fix it :).
Steps To Reproduce{$mode objfpc}

uses classes, zstream;

var
  c: TCompressionStream;
  st: TMemoryStream;
begin
  st := TMemoryStream.Create;
  c := TCompressionStream.Create(clfastest, st, true);
  try
    c.WriteByte(1);
    writeln(st.Size); //0 ok
    c.Flush;
    writeln(st.Size); //3 ok
    c.Flush;
    writeln(st.Size); //6 error
  finally
    c.Free;
    writeln(st.Size); //9 error - Free calls Flush explicitly
    st.Free;
  end;
end.
TagsNo tags attached.
Fixed in Revision39607
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2018-08-12 10:52

administrator   ~0109988

Fixed, thanks for reporting!

Petr-K

2018-10-30 08:31

reporter   ~0111670

tested ok

Issue History

Date Modified Username Field Change
2018-08-10 15:46 Petr-K New Issue
2018-08-11 19:19 Michael Van Canneyt Assigned To => Michael Van Canneyt
2018-08-11 19:19 Michael Van Canneyt Status new => assigned
2018-08-12 10:52 Michael Van Canneyt Fixed in Revision => 39607
2018-08-12 10:52 Michael Van Canneyt Note Added: 0109988
2018-08-12 10:52 Michael Van Canneyt Status assigned => resolved
2018-08-12 10:52 Michael Van Canneyt Fixed in Version => 3.1.1
2018-08-12 10:52 Michael Van Canneyt Resolution open => fixed
2018-08-12 10:52 Michael Van Canneyt Target Version => 3.2.0
2018-10-30 08:31 Petr-K Note Added: 0111670
2018-10-30 08:31 Petr-K Status resolved => closed